{ modulesPath, lib, pkgs, ... }:

{
  imports = [
    (modulesPath + "/installer/sd-card/sd-image-aarch64.nix")
    <nixos-hardware/raspberry-pi/4>
    ../../common

    # services
    ../../shared-services/pulseaudio.nix
    #../../shared-services/nfs-server.nix
    ../../shared-services/mpd.nix
    ../../shared-services/ympd.nix
    ../../shared-services/spotifyd.nix
    ../../shared-services/desktop.nix
    ../../shared-services/vnc.nix
    ../../shared-services/webserver.nix
  ];
  users.users.c3h = {
    isNormalUser = true;
    password = "c3h";
    extraGroups = [ "wheel" ];
    packages = with pkgs; [ chromium firefox mpv youtube-dl ];
  };

  networking.hostName = "bemmer";
  networking.domain = "c3h";

  networking.useDHCP = true;

  nixpkgs.system = "aarch64-linux";
  boot.initrd.availableKernelModules = lib.mkForce [ "vc4" "i2c_bcm2835" ];
  boot.supportedFilesystems = lib.mkForce [ "ext4" "vfat" ];
  boot.kernelPackages = pkgs.linuxPackages_rpi4;
  documentation.enable = false;

  hardware.raspberry-pi."4" = {
    fkms-3d.enable = true;
    #audio.enable = true;
  };

  system.stateVersion = "21.05";
}
